Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSButtonSound

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSMovieObject
              com.flagstone.transform.FSButtonSound

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSButtonSound

extends FSMovieObject

FSButtonSound defines the sounds that are played when an event occurs in a button.

A sound is played for only a subset of the events that a button responds to:

rollOut | The cursor exits the active area of the button.
rollOver | The cursor enters the active area of the button.
press | The mouse button is clicked and the cursor is inside the active area of the button.
release | The mouse button is released while the cursor is inside the active area of the button.

Attributes
type | Identifies the data structure when it is encoded. The type attribute is read-only and may be used when iterating through the objects in an FSMovie object to identify the object class without using run-time type checking.
identifier | the identifier of an FSDefineButton or FSDefineButton2 object that define the button.
sound[rollOut] | An FSSound object that describes how the sound will be played for a rollOver event.
sound[rollOver] | An FSSound object that describes how the sound will be played for a rollOver event.
sound[press] | An FSSound object that describes how the sound will be played for a press event.
sound[release] | An FSSound object that describes how the sound will be played for a release event.

Important: If the identifier in the FSSound object for an event is set to zero then the corresponding FSSound object will not be encoded when the object is encoded to a Flash file. This compresses the object when the sounds for only a sub-set of the events are defined.

# History

The FSButtonSound class represents the DefineButtonSound structure from the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 2.

Field Summary

Fields inherited from class com.flagstone.transform.FSMovieObject
`ButtonColorTransform, ButtonSound, DefineBitsPtr, DefineButton, DefineButton2, DefineFont, DefineFont2, DefineImage, DefineImage2, DefineJPEGImage, DefineJPEGImage2, DefineJPEGImage3, DefineMorphShape, DefineMovieClip, DefineShape, DefineShape2, DefineShape3, DefineSound, DefineText, DefineText2, DefineTextField, DefineVideo, DoAction, EnableDebugger, EnableDebugger2, Export, extendLength, FontInfo, FontInfo2, FrameLabel, Free, Import, Initialize, JPEGTables, length, LimitScript, PathsArePostscript, PlaceObject, PlaceObject2, Protect, QuicktimeMovie, RemoveObject, RemoveObject2, SerialNumber, SetBackgroundColor, ShowFrame, SoundStreamBlock, SoundStreamHead, SoundStreamHead2, StartSound, TabOrder, type, VideoFrame`

Constructor Summary
`FSButtonSound(FSButtonSound obj)` Constructs an FSButtonSound object by copying values from an existing object.
`FSButtonSound(FSCoder coder)` Construct an FSButtonSound object, initialising it with values decoded from an encoded object.
`FSButtonSound(int anIdentifier, int eventCode, FSSound aSound)` Constructs an FSButtonSound object that defines the sound played for a single button event.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`java.lang.Object` | `clone()` Creates a deep copy of the entire object.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`boolean` | `equals(java.lang.Object anObject)` Returns true if anObject is equal to this one.
`int` | `getIdentifier()` Gets the identifier of the button that this object applies to.
`FSSound` | `getSoundForEvent(int eventCode)` Gets the FSSound object for the specified event.
`int` | `length(FSCoder coder)`
`void` | `setIdentifier(int anIdentifier)` Sets the identifier of the button that this object applies to.
`void` | `setSoundForEvent(int eventCode, FSSound aSound)` Sets the FSSound object for the specified button event.

Methods inherited from class com.flagstone.transform.FSMovieObject
`getType`

Methods inherited from class com.flagstone.transform.FSTransformObject
`name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSButtonSound

    public FSButtonSound(FSCoder coder)

  Construct an FSButtonSound object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSButtonSound

    public FSButtonSound(int anIdentifier,
                         int eventCode,
                         FSSound aSound)

  Constructs an FSButtonSound object that defines the sound played for a single button event.

  Parameters:
    `anIdentifier` - the identifier of the FSDefineButton or FSDefineButton2 object that defines the button.
    `eventCode` - the event that identifies when the sound id played, must be either FSButtonEvent.rollOver, FSButtonEvent.rollOut, FSButtonEvent.press or FSButtonEvent.release.
    `aSound` - an FSSound object that identifies a sound and controls how it is played.

### FSButtonSound

    public FSButtonSound(FSButtonSound obj)

  Constructs an FSButtonSound object by copying values from an existing object.

  Parameters:
    `obj` - an FSButtonSound object.

Method Detail

### getIdentifier

    public int getIdentifier()

  Gets the identifier of the button that this object applies to.

  Returns:
    the identifier of the button.

### getSoundForEvent

    public FSSound getSoundForEvent(int eventCode)

  Gets the FSSound object for the specified event.

  Parameters:
    `eventCode` - the code representing the button event, must be either FSButtonEvent.RollOver, FSButtonEvent.RollOut, FSButtonEvent.Press or FSButtonEvent.Release.
  Returns:
    the FSSound that identifies and controls the sound that will be played for the event.

### setIdentifier

    public void setIdentifier(int anIdentifier)

  Sets the identifier of the button that this object applies to.

  Parameters:
    `anIdentifier` - the identifier of the button which this object applies to.

### setSoundForEvent

    public void setSoundForEvent(int eventCode,
                                 FSSound aSound)

  Sets the FSSound object for the specified button event.

  Parameters:
    `eventCode` - the code representing the button event, must be either FSButtonEvent.RollOver, FSButtonEvent.RollOut, FSButtonEvent.Press or FSButtonEvent.Release.
    `aSound` - an FSSound object that identifies and controls how the sound is played.

### clone

    public java.lang.Object clone()

  Description copied from class: `FSTransformObject`
  Creates a deep copy of the entire object.

  Overrides:
    `clone` in class `FSTransformObject`
  Returns:
    a copy of the object.

### equals

    public boolean equals(java.lang.Object anObject)

  Description copied from class: `FSMovieObject`
  Returns true if anObject is equal to this one. Objects are considered equal if they would generate identical binary data when they are encoded to a Flash file.

  Overrides:
    `equals` in class `FSMovieObject`
  Returns:
    true if this object would be identical to anObject when encoded.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Overrides:
    `appendDescription` in class `FSMovieObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSMovieObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSMovieObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSMovieObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD